summaryrefslogtreecommitdiff
path: root/imexam
diff options
context:
space:
mode:
authorJoe Hunkeler <jhunk@stsci.edu>2016-03-23 17:00:53 -0400
committerJoseph Hunkeler <jhunk@stsci.edu>2016-04-19 11:17:20 -0400
commitf46565fe6f3eefd6a8eb1cec7179164f2800b042 (patch)
treeb57ece5acd84c9a8c9235818b975a439c8ae3df9 /imexam
downloadastroconda-dev-f46565fe6f3eefd6a8eb1cec7179164f2800b042.tar.gz
Initial commit
Diffstat (limited to 'imexam')
-rw-r--r--imexam/bld.bat7
-rw-r--r--imexam/build.sh7
-rw-r--r--imexam/meta.yaml39
3 files changed, 53 insertions, 0 deletions
diff --git a/imexam/bld.bat b/imexam/bld.bat
new file mode 100644
index 0000000..f300b17
--- /dev/null
+++ b/imexam/bld.bat
@@ -0,0 +1,7 @@
+
+pip install --no-deps --upgrade --force d2to1
+if errorlevel 1 exit 1
+pip install --no-deps --upgrade --force astropy_helpers || exit 1
+if errorlevel 1 exit 1
+python setup.py install --offline
+if errorlevel 1 exit 1 \ No newline at end of file
diff --git a/imexam/build.sh b/imexam/build.sh
new file mode 100644
index 0000000..70f3a36
--- /dev/null
+++ b/imexam/build.sh
@@ -0,0 +1,7 @@
+
+echo This d2to1 hack is deadly.
+pip install --no-deps --upgrade --force d2to1 || exit 1
+pip install --no-deps --upgrade --force astropy_helpers || exit 1
+sed -i -e 's|find-links|#find-links|g' setup.cfg
+sed -i -e 's|auto_use|#auto_use|g' setup.cfg
+python setup.py install || exit 1 \ No newline at end of file
diff --git a/imexam/meta.yaml b/imexam/meta.yaml
new file mode 100644
index 0000000..0fa1154
--- /dev/null
+++ b/imexam/meta.yaml
@@ -0,0 +1,39 @@
+about:
+ home: https://github.com/spacetelescope/imexam
+ license: BSD
+ readme: README.rst
+ summary: imexam
+build:
+ number: '0'
+package:
+ name: imexam
+ version: 0.5.2
+requirements:
+ build:
+ - d2to1
+ - nose
+ - astropy >=1.1
+ - numpy x.x
+ - scipy
+ - cython
+ - matplotlib
+ - ipython
+ - setuptools
+ - mock [py27]
+ - python x.x
+ run:
+ - d2to1
+ - nose
+ - astropy >=1.1
+ - numpy x.x
+ - scipy
+ - cython
+ - matplotlib
+ - ipython
+ - mock [py27]
+ - python x.x
+source:
+ git_url: https://github.com/spacetelescope/imexam
+test:
+ imports:
+ - imexam